## org.apache.axis.encoding.ser
Class EnumDeserializer

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.encoding.DeserializerImpl
                  org.apache.axis.encoding.ser.SimpleDeserializer
                      org.apache.axis.encoding.ser.EnumDeserializer

All Implemented Interfaces:
  Callback, org.xml.sax.ContentHandler, Deserializer, Deserializer, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, java.io.Serializable

public class EnumDeserializer
extends SimpleDeserializer

Deserializer for a JAX-RPC enum.

Author:
  Rich Scheuerle <scheu@us.ibm.com>, Sam Ruby <rubys@us.ibm.com>
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`cacheStringDSer, cacheXMLType, context, javaType, xmlType`

Fields inherited from class org.apache.axis.encoding.DeserializerImpl
`componentsReadyFlag, defaultType, id, isEnded, isHref, isNil, log, targets, value`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`EnumDeserializer(java.lang.Class javaType, QName xmlType)`

Method Summary
`java.lang.Object` `makeValue(java.lang.String source)` Convert the string that has been accumulated into an Object.

Methods inherited from class org.apache.axis.encoding.ser.SimpleDeserializer
`characters, onEndElement, onStartChild, onStartElement, reset, setConstructor`

Methods inherited from class org.apache.axis.encoding.DeserializerImpl
`addChildDeserializer, componentsReady, endElement, getDefaultType, getMechanismType, getValue, getValue, getValueTargets, moveValueTargets, registerValueTarget, removeValueTargets, setChildValue, setDefaultType, setValue, setValue, startElement, valueComplete`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement, onEndChild`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumDeserializer

    public EnumDeserializer(java.lang.Class javaType,
                            QName xmlType)

Method Detail

### makeValue

    public java.lang.Object makeValue(java.lang.String source)
                               throws java.lang.Exception

  Description copied from class: `SimpleDeserializer`
  Convert the string that has been accumulated into an Object. Subclasses may override this. Note that if the javaType is a primitive, the returned object is a wrapper class.

  Overrides:
    `makeValue` in class `SimpleDeserializer`
  Parameters:
    `source` - the serialized value to be deserialized
  Throws:
    `java.lang.Exception` - any exception thrown by this method will be wrapped

Copyright © 2005 Apache Web Services Project. All Rights Reserved.